Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
RArray Struct Reference

`#include <ruby.h>`

## Data Fields
struct RBasic | basic
union {
struct {
long len
union {
long capa
VALUE shared
} aux
const VALUE * ptr
} heap
const VALUE ary [RARRAY_EMBED_LEN_MAX]
} | as

## Detailed Description

Definition at line 860 of file ruby.h.

## Field Documentation

const VALUE RArray::ary[RARRAY_EMBED_LEN_MAX]

Definition at line 871 of file ruby.h.

union { ... } RArray::as

union { ... } RArray::aux

struct RBasic RArray::basic

Definition at line 861 of file ruby.h.

Referenced by vm_init2().

long RArray::capa

Definition at line 866 of file ruby.h.

struct { ... } RArray::heap

long RArray::len

Definition at line 864 of file ruby.h.

const VALUE* RArray::ptr

Definition at line 869 of file ruby.h.

VALUE RArray::shared

Definition at line 867 of file ruby.h.

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h